ruby-loofah_2.2.2-1_all.deb


Advertisement

Description

ruby-loofah - manipulation and transformation of HTML/XML documents and fragments

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-loofah
Package version 2.2.2
Package release 1
Package architecture all
Package type deb
Installed size 85 B
Download size 23.46 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-loofah_2.2.2-1_all.deb 2.2.2 all Debian Main
ruby-loofah - - -

Requires

Name Value
ruby -
ruby-crass -
ruby-interpreter -
ruby-nokogiri -

Download

Type URL
Binary Package ruby-loofah_2.2.2-1_all.deb
Source Package ruby-loofah

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-loofah deb package:
    # sudo apt-get install ruby-loofah

Files

Path
/usr/lib/ruby/vendor_ruby/loofah.rb
/usr/lib/ruby/vendor_ruby/loofah/elements.rb
/usr/lib/ruby/vendor_ruby/loofah/helpers.rb
/usr/lib/ruby/vendor_ruby/loofah/instance_methods.rb
/usr/lib/ruby/vendor_ruby/loofah/metahelpers.rb
/usr/lib/ruby/vendor_ruby/loofah/scrubber.rb
/usr/lib/ruby/vendor_ruby/loofah/scrubbers.rb
/usr/lib/ruby/vendor_ruby/loofah/html/document.rb
/usr/lib/ruby/vendor_ruby/loofah/html/document_fragment.rb
/usr/lib/ruby/vendor_ruby/loofah/html5/libxml2_workarounds.rb
/usr/lib/ruby/vendor_ruby/loofah/html5/scrub.rb
/usr/lib/ruby/vendor_ruby/loofah/html5/whitelist.rb
/usr/lib/ruby/vendor_ruby/loofah/xml/document.rb
/usr/lib/ruby/vendor_ruby/loofah/xml/document_fragment.rb
/usr/share/doc/ruby-loofah/README.md.gz
/usr/share/doc/ruby-loofah/changelog.Debian.gz
/usr/share/doc/ruby-loofah/changelog.gz
/usr/share/doc/ruby-loofah/copyright
/usr/share/rubygems-integration/all/specifications/loofah-2.2.2.gemspec

Changelog

2018-03-22 - Georg Faerber <georg@riseup.net>
ruby-loofah (2.2.2-1) unstable; urgency=medium
* New upstream release. 
2018-03-21 - Georg Faerber <georg@riseup.net>
ruby-loofah (2.2.1-1) unstable; urgency=medium
* New upstream release:
- Includes fix to prevent cross-site scripting via libxml2. 
(Closes: #893596) (CVE-2018-8048)
* debian/changelog: Remove trailing whitespace.
* debian/compat: Bump debhelper compatibility level to 11.
* debian/control:
- Use salsa.debian.org in Vcs-* fields.
- Bump Standards-Version to 4.1.3 (no changes needed).
- Bump required debhelper version to >= 11~.
- Add ruby-crass as (build) dependency.
- Add myself as Uploader.
* debian/copyright:
- Use HTTPS in link to copyright format specification.
- Update Debian packaging authors.
* debian/patches: Drop obsolete patch to fix failing specs. This was
integrated upstream.
* debian/ruby-loofah.docs: Install upstream README.
* debian/watch: Use version 4 and HTTPS in link to gemwatch service.
2016-01-07 - Balasankar C <balasankarc@autistici.org>
ruby-loofah (2.0.3-2) unstable; urgency=medium
* fix-tests-assert.patch: Patch to fix test failures (Closes: #808449)
2015-09-06 - Balasankar C <balasankarc@autistici.org>
ruby-loofah (2.0.3-1) unstable; urgency=medium
* New upstream release.
* Bump debhelper compatibility to 9.
2015-05-06 - Balasankar C <balasankarc@autistici.org>
ruby-loofah (2.0.2-1) unstable; urgency=medium
* Upstream update (Closes: #784393)
* Add myself to uploaders
* Delete deactivate_whitewash_tests.patch, not needed anymore (tests fixed
upstream)
2015-04-24 - C├ędric Boutillier <boutil@debian.org>
ruby-loofah (2.0.1-1) unstable; urgency=medium
* Initial release

See Also

Package Description
ruby-luabridge_0.8.0-1+b4_amd64.deb access Lua from Ruby
ruby-lumberjack_1.0.13-1_all.deb Lumberjack is a logging implementation in Ruby
ruby-mab_0.0.3-1_all.deb templating engine for writing HTML in pure Ruby
ruby-macaddr_1.7.1-2_all.deb library to read system mac address
ruby-magic_0.2.9-1_all.deb Ruby FFI bindings to libmagic
ruby-mail-gpg_0.4.0-1_all.deb GPG/MIME encryption plugin for the Ruby Mail Library
ruby-mail-room_0.9.1-2_all.deb Forward mail from gmail IMAP to a callback URL or job worker, simply
ruby-mail_2.6.4+dfsg1-1_all.deb Ruby library to handle email generation, parsing and sending
ruby-mapscript_7.2.1-1+b1_amd64.deb MapServer library for Ruby
ruby-marcel_0.3.2-1_all.deb Simple mime type detection
ruby-marisa_0.2.5-2+b1_amd64.deb Ruby bindings for MARISA
ruby-markerb_1.1.0-2_all.deb multipart templates made easy with Markdown + ERb
ruby-maruku_0.7.3-1_all.deb Markdown-superset interpreter written in Ruby
ruby-mathml_0.14-4_all.deb TeX formula to MathML conversion library for Ruby
ruby-maven-libs_3.3.9+ds-1_all.deb Ruby library that provides access to a Maven installation
Advertisement
Advertisement